% fan calibration plot

clear all
close all

load fan_data

r_s = 0.2;
A_s = pi*r_s^2;
rho_a = 1.225;
m_f = A_s*sqrt(2*rho_a*diff_pressure);

figure('Position',[400,500,350,250])

scatter(fan_input*100,diff_pressure,'.')

ylabel('Fan input [%]')
xlabel('Differential pressure [Pa]')

axis([0,100,0,31])


figure('Position',[1000,500,350,250])
hold on

scatter(fan_input*100,m_f,'.')
plot(0:100,0:0.01:1)

ylabel('Fan input [%]')
xlabel('Air mass flow rate [kg/m^3]')

axis([0,100,0,1.1])

legend('Recorded data','Linear approximation')


