% the mixed ventilated system with MPC control

clear all
close all
set(groot,'defaultLineLineWidth',1)
set(0,'defaultfigurecolor',[1 1 1])

load temperature_noise
load mpc_controllers

%simulation time
t_sim = 1800;

%reference values
m_p = 0.3;
T_ref = 1300;

%noise
T_noise = timeseries(temp_noise,time_sec);

%increase in T at T=1000
T_inc = 25;

load t160512_parameters
sim mixed_vent_MPC_sim


figure('Position',[300,850,750,250])
hold on
xlabel('Time [min]')

plot(T.Time/60,T.Data)
plot(0.1:0.1:30,1300*ones(1,300),'k:') %refline
ylabel('Temperature [\circC]')
axis([0,t_sim/60,0,1500])

yyaxis right
plot(u.Time/60,u.Data*100)
ylabel('Input [%]')
axis([0,t_sim/60,0,100])

figure('Position',[300,500,750,250])
hold on
xlabel('Time [min]')
plot(e.Time/60,e.Data)
plot(0.1:0.1:30,zeros(1,300),'k:') %refline
ylabel('Temperature error [\circC]')
axis([0,t_sim/60,-100,100])

% 
% figure(2)
% clf
% 
% load t160512_parameters
% sim mixed_vent_MPC_sim
% 
% subplot(3,2,1)
% hold on
% xlabel('Time [s]')
% 
% plot(T)
% plot(1:1:t_sim,1300*ones(1,t_sim),'k:') %refline
% ylabel('Temperature [\circC]')
% axis([0,t_sim,0,1500])
% 
% yyaxis right
% plot(u)
% ylabel('Input')
% axis([0,t_sim,0,1])
% 
% 
% load t160628_parameters
% sim mixed_vent_MPC_sim
% 
% subplot(3,2,2)
% hold on
% xlabel('Time [s]')
% 
% plot(T)
% plot(1:1:t_sim,1300*ones(1,t_sim),'k:') %refline
% ylabel('Temperature [\circC]')
% axis([0,t_sim,0,1500])
% 
% yyaxis right
% plot(u)
% ylabel('Input')
% axis([0,t_sim,0,1])
% 
% 
% load t160629_parameters
% sim mixed_vent_MPC_sim
% 
% subplot(3,2,3)
% hold on
% xlabel('Time [s]')
% 
% plot(T)
% plot(1:1:t_sim,1300*ones(1,t_sim),'k:') %refline
% ylabel('Temperature [\circC]')
% axis([0,t_sim,0,1500])
% 
% yyaxis right
% plot(u)
% ylabel('Input')
% axis([0,t_sim,0,1])
% 
% 
% load t160630_parameters
% sim mixed_vent_MPC_sim
% 
% subplot(3,2,4)
% hold on
% xlabel('Time [s]')
% 
% plot(T)
% plot(1:1:t_sim,1300*ones(1,t_sim),'k:') %refline
% ylabel('Temperature [\circC]')
% axis([0,t_sim,0,1500])
% 
% yyaxis right
% plot(u)
% ylabel('Input')
% axis([0,t_sim,0,1])
% 
% 
% load t160701_parameters
% sim mixed_vent_MPC_sim
% 
% subplot(3,2,5)
% hold on
% xlabel('Time [s]')
% 
% plot(T)
% plot(1:1:t_sim,1300*ones(1,t_sim),'k:') %refline
% ylabel('Temperature [\circC]')
% axis([0,t_sim,0,1500])
% 
% yyaxis right
% plot(u)
% ylabel('Input')
% axis([0,t_sim,0,1])
% 
