% PID control of mixed ventilation system with reference control

clear all
close all
set(groot,'defaultLineLineWidth',1)
set(0,'defaultfigurecolor',[1 1 1])

% simulation time
t_sim   = 1800;

% refernce values
m_p         = 0.3;
T_ref_init  = 1300;
phi_ref     = 350;

% fan control PID tunable{rs
PB = 999.9;     %proportional band, 0.1-999.9
K_c = .003;
T_i = 15;
T_d = 100;

% T_ref control tunables
delta_T_ref = 30;
phi_db      = 5; % step control deadband
k_rp        = -2; % P control constant

% hysterisis PID tunables
integral_switch_off = 0;

%increase in T at t=1000
T_inc = 50;

% T loss in initial transient
T_init_loss = 50;

%import measurement  noise
load temperature_noise
T_noise = timeseries(temp_noise,time_sec);
load t160512_parameters
sim mixed_vent_PID_reg_sim


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% PLOTS %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure('Position',[300,850,750,250])
clf 
hold on
plot(T.Time/60,T.Data)
plot(T_ref.Time/60,T_ref.Data,'k:')
ylabel('Temperature [\circC]')
axis([0,t_sim/60,800,1400])

yyaxis right
plot(u.Time/60,u.Data*100)
axis([0,t_sim/60,0,100])
ylabel('Input [%]')
xlabel('Time [min]')

figure('Position',[300,500,750,250])
clf
hold on
plot(e.Time/60,e.Data)
plot(0.1:0.1:30,zeros(1,300),'k:')
axis([0,t_sim/60, -100,100])
ylabel('Temperature error [\circC]')
xlabel('Time [min]')
title('')

figure('Position',[300,150,750,250])
clf
hold on
plot(phi.Time/60,phi.Data)
plot(phi_avg.Time/60,phi_avg.Data)
plot(0.1:0.1:30,350*ones(1,300),'k:')
axis([0,t_sim/60,250,450])
ylabel('Heat flux [kW/m^2]')
xlabel('Time [min]')


