% simulate  responses of mixed ventilation model

clear all
close all
set(groot,'defaultLineLineWidth',1)
set(0,'defaultfigurecolor',[1 1 1])

% simulation time
t_sim = 6000;

% ramp time and values
ramp_time = 500;
ramp_slope = 0.0002;

% propane reference
m_p = 0.3;


% %%%%%%%%%%%%%%%%%%%%%%%% parameters as in 0512 %%%%%%%%%%%%%%%%%%%%%%%%%%%%

load t160512_parameters
sim mixed_vent_sim

figure('Position',[500,800,350,250])
clf
hold on
plot(T.Time/60,T.Data)
plot(1:1:t_sim,1300*ones(1,t_sim),'k:') %refline
ylabel('Temperature [\circC]')
axis([0,t_sim/60,0,1400])

yyaxis right
plot(u.Time/60,u.Data*100)
ylabel('Fan input [%]')
axis([0,t_sim/60,0,100])

%title('0512')
xlabel('Time [min]')

%%%%%%%%%%%%%%%%%%%%%%%% parameters as in 0628 %%%%%%%%%%%%%%%%%%%%%%%%%%%%

load t160628_parameters
sim mixed_vent_sim

figure('Position',[1000,800,350,250])
clf
hold on
plot(T.Time/60,T.Data)
plot(1:1:t_sim,1300*ones(1,t_sim),'k:') %refline
ylabel('Temperature [\circC]')
axis([0,t_sim/60,0,1400])

yyaxis right
plot(u.Time/60,u.Data*100)
ylabel('Fan input [%]')
axis([0,t_sim/60,0,100])

%title('0512')
xlabel('Time [min]')

%%%%%%%%%%%%%%%%%%%%%%%% parameters as in 0629 %%%%%%%%%%%%%%%%%%%%%%%%%%%%

load t160629_parameters
sim mixed_vent_sim

figure('Position',[1500,800,350,250])
clf
hold on
plot(T.Time/60,T.Data)
plot(1:1:t_sim,1300*ones(1,t_sim),'k:') %refline
ylabel('Temperature [\circC]')
axis([0,t_sim/60,0,1400])

yyaxis right
plot(u.Time/60,u.Data*100)
ylabel('Fan input [%]')
axis([0,t_sim/60,0,100])

%title('0512')
xlabel('Time [min]')

%%%%%%%%%%%%%%%%%%%%%%%% parameters as in 0630 %%%%%%%%%%%%%%%%%%%%%%%%%%%%

load t160630_parameters
sim mixed_vent_sim

figure('Position',[500,400,350,250])
clf
hold on
plot(T.Time/60,T.Data)
plot(1:1:t_sim,1300*ones(1,t_sim),'k:') %refline
ylabel('Temperature [\circC]')
axis([0,t_sim/60,0,1400])

yyaxis right
plot(u.Time/60,u.Data*100)
ylabel('Fan input [%]')
axis([0,t_sim/60,0,100])

%title('0512')
xlabel('Time [min]')

%%%%%%%%%%%%%%%%%%%%%%%% parameters as in 0701 %%%%%%%%%%%%%%%%%%%%%%%%%%%%

load t160701_parameters
sim mixed_vent_sim

figure('Position',[1000,400,350,250])
clf
hold on
plot(T.Time/60,T.Data)
plot(1:1:t_sim,1300*ones(1,t_sim),'k:') %refline
ylabel('Temperature [\circC]')
axis([0,t_sim/60,0,1400])

yyaxis right
plot(u.Time/60,u.Data*100)
ylabel('Fan input [%]')
axis([0,t_sim/60,0,100])

%title('0512')
xlabel('Time [min]')

%title('0701')
xlabel('Time [s]')
%legend('Temperature [\circC]','1300 \circC','Fan input')

